import request from '@/utils/request'

// 查询仪器序列号关联列表
export function listSerial(query) {
  return request({
    url: '/system/instrumentSerial/list',
    method: 'get',
    params: query
  })
}

// 查询仪器序列号关联详细
export function getSerial(id) {
  return request({
    url: '/system/instrumentSerial/' + id,
    method: 'get'
  })
}

// 新增仪器序列号关联
export function addSerial(data) {
  return request({
    url: '/system/instrumentSerial',
    method: 'post',
    data: data
  })
}

// 修改仪器序列号关联
export function updateSerial(data) {
  return request({
    url: '/system/instrumentSerial',
    method: 'put',
    data: data
  })
}

// 修改仪器序列号关联
export function updateStatus(data) {
  return request({
    url: '/system/instrumentSerial/updateStatus',
    method: 'put',
    data: data
  })
}

// 删除仪器序列号关联
export function delSerial(id) {
  return request({
    url: '/system/instrumentSerial/' + id,
    method: 'delete'
  })
}

// 删除仪器序列号关联
export function delSerialAll() {
  return request({
    url: '/system/instrumentSerial/removeAll',
    method: 'delete'
  })
}
